Helloworld can not run

[Old posts from the commercial version of ArrayFire] Discussion of ArrayFire using CUDA or OpenCL.

Moderator: pavanky

Helloworld can not run

Postby greperi » Fri Dec 27, 2013 4:53 pm

Hi,

I use ArrayFire v1.9.1 (64-bit Linux, build 9108136) and CUDA toolkit 5.0, driver 319.23. (I am not the administrator and can not update to 5.5)
Everything worked fine until yesterday.
When I try to run Helloworld, the error message is

src/gena/gi_core.cpp:39: error: src/license.cpp:251: unable to connect to license server, see http://accelereyes.com/faq?q=148
terminate called after throwing an instance of 'af::exception'
Aborted

I also try telnet server.accelereyes.com 27000 and 27001 and got

Trying 74.207.224.250...
Connected to server.accelereyes.com.
Escape character is '^]'.

it seems connection is fine.

Can someone let me know what happened?

Thanks
greperi
 
Posts: 12
Joined: Tue Sep 17, 2013 10:06 am

Re: Helloworld can not run

Postby pavanky » Sat Dec 28, 2013 6:08 am

hi

you will need to install arrayfire 2.0 version. we updated license server mechanism with 2.0. this made it incompatible with older versions of arrayfire.
Pavan Yalamanchili,
ArrayFire
--
~ If it is not broken, you have not tried hard enough ~
User avatar
pavanky
Site Admin
 
Posts: 1123
Joined: Mon Mar 15, 2010 7:39 pm
Location: Atlanta, GA

Re: Helloworld can not run

Postby greperi » Sun Dec 29, 2013 1:13 am

Hi,
I use a Linux cluster, the administrator said they will not update to cuda 5.5 in the near future (arrayfire 2.0 need cuda 5.5, am I right?). But I have a project with approaching deadline which using arrayfire from the beginning. Is there a way I can still use arrayfire 1.9.1 for a while?
Thanks
greperi
 
Posts: 12
Joined: Tue Sep 17, 2013 10:06 am

Re: Helloworld can not run

Postby pavanky » Sun Dec 29, 2013 1:18 am

what driver does the node with the GPU have on it ?

if its of sufficient version you can install CUDA 5.5 locally on your account. If that is not an option and you have to use 1.9 email us at support @accelereyes.com we can send you a trial license that is good for a couple of weeks.
Pavan Yalamanchili,
ArrayFire
--
~ If it is not broken, you have not tried hard enough ~
User avatar
pavanky
Site Admin
 
Posts: 1123
Joined: Mon Mar 15, 2010 7:39 pm
Location: Atlanta, GA

Re: Helloworld can not run

Postby greperi » Sun Dec 29, 2013 4:39 pm

Thanks for your information. My driver is 319.23, do you think this is enough for cuda 5.5?
greperi
 
Posts: 12
Joined: Tue Sep 17, 2013 10:06 am

Re: Helloworld can not run

Postby pavanky » Sun Dec 29, 2013 5:37 pm

The 319 driver should work with CUDA 5.5. You can run download the installer from here: https://developer.nvidia.com/cuda-downloads

You can download this on your remote machine using one of the two following commands.
Code: Select all
wget h1ttp://developer.download.nvidia.com/compute/cuda/5_5/rel/installers/cuda_5.5.22_linux_64.run


Code: Select all
curl -O http://developer.download.nvidia.com/compute/cuda/5_5/rel/installers/cuda_5.5.22_linux_64.run

Run the installer without root using a command like the following to install only the toolkit locally.

Code: Select all
sh cuda_5.5.22_linux_64.run -toolkit -toolkitpath=/home/username/cuda
Pavan Yalamanchili,
ArrayFire
--
~ If it is not broken, you have not tried hard enough ~
User avatar
pavanky
Site Admin
 
Posts: 1123
Joined: Mon Mar 15, 2010 7:39 pm
Location: Atlanta, GA

Re: Helloworld can not run

Postby greperi » Tue Dec 31, 2013 2:09 am

How can I install arrayfire in local? ie, /home/username/arrayfire-2.0 instead of default /opt/arrayfire-2.0
Thanks
greperi
 
Posts: 12
Joined: Tue Sep 17, 2013 10:06 am

Re: Helloworld can not run

Postby pavanky » Tue Dec 31, 2013 4:22 am

it should ask you for the path during the I installation process.
Pavan Yalamanchili,
ArrayFire
--
~ If it is not broken, you have not tried hard enough ~
User avatar
pavanky
Site Admin
 
Posts: 1123
Joined: Mon Mar 15, 2010 7:39 pm
Location: Atlanta, GA


Return to [archive-commercial] Programming & Development with ArrayFire